Comment 67 for bug 1573408

John Steeves (jstevz4teh1337) wrote :

It used to work with Ubuntu 16.04, but after updating to 16.04.3 and the latest software updates (with the newest version of gnome-software) the issue has re-appeared again. I can't install any .deb packages anymore.
I was able to replicate this issue on 2 clean VMs, so it's not just my computer.

After looking into the release history for gnome-software, I found that the issue might have re-appeared after re-basing gnome-software from version 3.20.1 to the upstream 3.20.5.